| Version: 3.2.5

Classes | Enumerations
textfile.h File Reference

## Classes

class | wxTextFile
| The wxTextFile is a simple class which allows working with text files on line by line basis. More...

## Enumerations

enum | wxTextFileType { wxTextFileType_None , wxTextFileType_Unix , wxTextFileType_Dos , wxTextFileType_Mac , wxTextFileType_Os2 }
| The line termination type. More...

## Enumeration Type Documentation

## ◆ wxTextFileType

enum wxTextFileType

The line termination type.

Enumerator
wxTextFileType_None | incomplete (the last line of the file only)
wxTextFileType_Unix | line is terminated with 'LF' = 0xA = 10 = '\n'
wxTextFileType_Dos | line is terminated with 'CR' 'LF'
wxTextFileType_Mac | line is terminated with 'CR' = 0xD = 13 = '\r'
wxTextFileType_Os2 | line is terminated with 'CR' 'LF'